Loading...
Searching...
No Matches
tuple_like Interface Reference
Utility » Tuple

Whether a type behaves like a tuple. More...

`#include <seqan3/utility/tuple/concept.hpp>`

Inheritance diagram for tuple_like:
[legend]

## Related Symbols

(Note that these are not member symbols.)
Requirements for seqan3::tuple_like
You can expect these (meta-)functions on all types that implement seqan3::tuple_like.
size_t | tuple_size_v
| A unary type trait that holds the number of elements in the tuple.
| tuple_elment_t
| A transformation trait that holds the type of elements in the tuple.
auto && | get (type &&val)
| Return the i-th element of the tuple.

## Detailed Description

Whether a type behaves like a tuple.

Types that meet this concept are for example std::tuple, std::pair, std::array, seqan3::pod_tuple, seqan3::record. The std::totally_ordered will only be required if all types contained in the tuple-like data structure are themselves strict totally ordered.

## Friends And Related Symbol Documentation

## get()

auto && get< i > | ( | type && | val | ) |

related

Return the i-th element of the tuple.

Template Parameters

  i | The index of the element to return (of type size_t).

Parameters

  [in,out] | val | The tuple-like object to operate on.

Returns
  The i-th value in the tuple.

Attention
  This is a concept requirement, not an actual function (however types satisfying this concept will provide an implementation).
  This constraint is not enforced since empty tuples are valid.

## tuple_elment_t()

tuple_elment_t

related

A transformation trait that holds the type of elements in the tuple.

Template Parameters

  i | Index of the queried element type.
  type | The tuple-like type.

Attention
  This is a concept requirement, not an actual function (however types satisfying this concept will provide an implementation).
  This constraint is not enforced since empty tuples are valid.

## tuple_size_v()

size_t tuple_size_v

related

A unary type trait that holds the number of elements in the tuple.

Template Parameters

  type | The tuple-like type.

Attention
  This is a concept requirement, not an actual function (however types satisfying this concept will provide an implementation).

The documentation for this interface was generated from the following file:

- utility/tuple/concept.hpp

Hide me